#include <bits/stdc++.h>

using namespace std;

int najmanje_ponavljanja(string t){
    int len = t.length();
    int freq[256] = {0};
    int min = 0;
  	for(int i = 0; i < len; i++){
  		freq[t[i]]++;
	}
  	for(int i = 0; i < 256; i++){
		if(freq[i] != 0){
            if(freq[min] == 0 || freq[i] < freq[min]){
				min = i;
			}
		}
	}
	return min;
}

int main(){
    string t;getline(cin , t);
    string s;getline(cin , s);
    vector<char> a;
    char min = najmanje_ponavljanja(t);
    int br_zvezdica = 0;
    for(int i = 0;i < t.size();i++){
        if(t[i] == min){
            t[i] = '*';
            br_zvezdica++;
        }
    }
    cout << br_zvezdica << endl;
    cout << t;
	return 0;
}